Test2::Event::Diag(3pm)

NAME
Test2::Event::Diag - Diag event type

DESCRIPTION
Diagnostics messages, typically rendered to STDERR.

SYNOPSIS
    use Test2::API qw/context/;
    use Test2::Event::Diag;

    my $ctx = context();
    my $event = $ctx->diag($message);

ACCESSORS

$diag->message
    The message for the diag.

SOURCE
The source code repository for Test2 can be found at <https://github.com/Test-More/test-more/>.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <https://dev.perl.org/licenses/>